
<!-- test body with attribute -->

<style type="text/css" attr>
body {
    color: #111;
}

</style>

<!-- test body without attribute -->

<style type="text/css">
body {
    color: #111;
}

</style>

<!-- test single file with extension -->
<!-- css.css -->
<style type="text/css">
body {
    color: #111;
}

</style>

<!-- test single file without extension -->
<!-- css.css -->
<style type="text/css">
body {
    color: #111;
}

</style>

<!-- test single file with variable attributes -->
<!-- css.css -->
<style type="text/css" a="0" b="1" c="false" d="true" e="yes" f>
body {
    color: #111;
}

</style>

<!-- test multiple files with extensions -->
<!-- css.css, css2.css -->
<style type="text/css">
body {
    color: #111;
}

body {
    color: #222;
}

</style>

<!-- test multiple files without extensions -->
<!-- css.css, css2.css -->
<style type="text/css">
body {
    color: #111;
}

body {
    color: #222;
}

</style>

<!-- test multiple files with attribute -->
<!-- css.css, css2.css -->
<style type="text/css" attr>
body {
    color: #111;
}

body {
    color: #222;
}

</style>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">

<!-- test multiple files with attribute -->
<!-- css.css -->
<style type="text/css" attr>
body {
    color: #111;
}

</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css" attr>

<!-- test multiple files without attribute -->
<!-- css.css -->
<style type="text/css">
body {
    color: #111;
}

</style>
<!-- 'invalid' could not be read as file -->
<link href="invalid" rel="stylesheet" type="text/css">
